# Harvester 0.3.0
## KubeConfig doesn't work, not valid for kube-vip IP, only for some "random" IPs in flannel network.
This can happen when cluster is restarted, maybe if rancher pods are restarted, can be fixed with: `kubectl annotate secrets -n cattle-system tls-rancher-internal listener.cattle.io/cn-<kube-vip>=<kube-vip>`

`<kube-vip> = cluster IP address`

`kubectl annotate secrets -n cattle-system tls-rancher-internal listener.cattle.io/cn-172.18.0.20=172.18.0.20`

https://github.com/harvester/harvester/issues/1475

## Need to boot with no nomodeset on harvester 0.3.0 nodes
https://docs.harvesterhci.io/v0.3/troubleshooting/os/#how-to-permanently-edit-kernel-parameters

```
mount -o remount,rw $(blkid -L COS_STATE) /run/initramfs/cos-state
vim /run/initramfs/cos-state/grub2/grub.cfg
```

# podman
Proplem:
```
ERRO[0000] Error adding network: failed to allocate for range 0: 10.88.0.46 has been allocated to ce5ed278f7e2af02a39c6281cf87b23aabf93f7ac45426c6f57d32188558846d, duplicate allocation is not allowed 
ERRO[0000] Error while adding pod to CNI network "podman": failed to allocate for range 0: 10.88.0.46 has been allocated to ce5ed278f7e2af02a39c6281cf87b23aabf93f7ac45426c6f57d32188558846d, duplicate allocation is not allowed 
Error: unable to start container "ce5ed278f7e2af02a39c6281cf87b23aabf93f7ac45426c6f57d32188558846d": error configuring network namespace for container ce5ed278f7e2af02a39c6281cf87b23aabf93f7ac45426c6f57d32188558846d: failed to allocate for range 0: 10.88.0.46 has been allocated to ce5ed278f7e2af02a39c6281cf87b23aabf93f7ac45426c6f57d32188558846d, duplicate allocation is not allowed
```
remove the offending file in `/var/lib/cni/networks/podman` and restart container

